#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	libbsd
Version		:	0.10.0
Release		:	17.0.10.rel%{?dist}
Summary		:	Library providing BSD-compatible functions for portability

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	BSD and ISC and Copyright only and Public Domain
URL		:	http://libbsd.freedesktop.org

Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	gcc

#-----------------------------------------------------------------------------
%description
'${name}' provides useful functions commonly found on BSD systems, and
lacking on others like GNU systems, thus making it easier to port
projects with strong BSD origins, without needing to embed the same
code over and over again on each project.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%license COPYING
%doc README TODO ChangeLog
%{_libdir}/%{name}.so.*

#-----------------------------------------------------------------------------
%postun
/usr/sbin/ldconfig

%post
/usr/sbin/ldconfig

#=============================================================================
%package		devel
Summary		:	Development files for libbsd

Requires	:	%{name}	= %{version}-%{release}

#-----------------------------------------------------------------------------
%description devel
Development files for the libbsd library.

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%{_includedir}/bsd
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/pkgconfig/%{name}-overlay.pc
%{_mandir}/man3/*.3bsd.gz
%{_mandir}/man7/%{name}.7.gz

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

autoreconf -vif
%define LIBTOOL LIBTOOL=`which libtool`
./configure						\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
	--exec-prefix=%{_exec_prefix}			\
	--libexecdir=%{_libexecdir}/%{name}		\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--datadir=%{_datadir}/%{name}			\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--enable-shared					\
	--disable-static				\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make} DESTDIR=%{buildroot} install

#To remove libtool and static library
find 							\
	%{buildroot}%{_libdir}				\
	\( -name \*.la -o -name \*.a \)			\
	-delete

#To static pkconfig library
%{__rm} %{buildroot}%{_libdir}/pkgconfig/%{name}-ctor.pc
#-----------------------------------------------------------------------------
%changelog
